#include <bits/stdc++.h>
#define rep(x, l, r) for (int x = l; x <= r; x++)
#define repd(x, r, l) for(int x = r; x >= l; x--)
#define clr(x, y) memset(x, y, sizeof(x))
#define all(x) a.begin(), a.end()
#define SZ(x) ((int)x.size())
using namespace std;

int main(){
	freopen("meow.in", "r", stdin);
	freopen("meow.out", "w", stdout);
	int T;
	scanf("%d", &T);
	while(T--){
		int n, m, k;
		rep(i, 1, m){
			
		}
	}
	return 0;
}